{% extends 'core/base.html' %}
{% load static %}

{% block title %}{{ product.name }}{% endblock %}

{% block content %} 
<div class="max-w-6xl mx-auto flex flex-wrap py-6 px-6 xl:px-0">
  <div class="images w-full mb-6 lg:mb-0 lg:w-3/5 bg-ctp-crust">
    {% if product.image %}
    <img class="rounded-xl border-2 border-ctp-pink p-1 object-cover h-full w-full" src="{{ product.image.url }}" alt="">
    {% else %}
    <img class="rounded-xl border-2 border-ctp-pink p-1 object-cover h-full w-full" src="{% static 'img/placeholder.png' %}" alt="">
    {% endif %}
  </div>
  
  <div class="information w-full lg:w-2/5 lg:p-6">
    <h1 class="text-2xl text-ctp-subtext1 font-semibold">{{ product.name }}</h1>
    
    <p class="mt-1 text-ctp-subtext0">$ {{ product.price }}</p>

    {% if product.description %}
      <p class="mt-6 text-ctp-subtext0">{{ product.description }}</p>
    {% endif %}

    <a 
      href="#" 
      class="mt-6 inline-block px-8 py-4 rounded-xl bg-gradient-to-r from-ctp-green to-ctp-sapphire hover:bg-gradient-to-r hover:from-ctp-lavender hover:to-ctp-mauve text-ctp-base font-semibold"
      hx-get="{% url "add_to_cart" product.id %}"
      hx-target="#menu-cart-button"
      hx-swap="outerHTML"
      >
      Add to Cart
    </a>
  </div>
</div>
{% endblock %}
